Skip to main content
POST
https://{tenantDomain}/api/v2
/
log-streams
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.LogStreams.CreateAsync(
            new CreateLogStreamHttpRequestBody {
                Type = "http",
                Sink = new LogStreamHttpSink {
                    HttpEndpoint = "httpEndpoint"
                }
            }
        );
    }

}
{
  "id": "<string>",
  "name": "<string>",
  "type": "http",
  "isPriority": true,
  "filters": [
    {
      "type": "category"
    }
  ],
  "pii_config": {
    "log_fields": [],
    "algorithm": "xxhash"
  },
  "sink": {
    "httpEndpoint": "<string>",
    "httpAuthorization": "<string>",
    "httpContentType": "<string>",
    "httpCustomHeaders": [
      {
        "header": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

type
enum<string>
required
Available options:
http
sink
object
required
name
string

log stream name

isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
startFrom
string
default:2021-03-01T19:57:29.532Z

The optional datetime (ISO 8601) to start streaming logs from

Response

Log stream created

id
string<log-stream-id>

The id of the log stream

name
string

log stream name

status
enum<string>

The status of the log stream. Possible values: active, paused, suspended

Available options:
active,
paused,
suspended
type
enum<string>
Available options:
http
isPriority
boolean

True for priority log streams, false for non-priority

filters
object[]

Only logs events matching these filters will be delivered by the stream. If omitted or empty, all events will be delivered.

pii_config
object
sink
object